Name:		libmateweather
Version:	1.4.0
Release:	2%{?dist}
Summary:	Libraries to allow MATE Desktop to display weather information
License:	GPLv2+
URL:		http://mate-desktop.org
Source0:	http://pub.mate-desktop.org/releases/1.4/%{name}-%{version}.tar.xz

BuildRequires:	gtk2-devel libsoup-devel mate-common mate-conf-devel pygobject2-codegen python-gudev pygtk2-devel

%description
Libraries to allow MATE Desktop to display weather information

%package libs
Summary: Shared libraries for libmateweather
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description libs
Shared libraries for libmateweather

%package devel
Summary: Development files for libmateweather
Requires:	%{name}%{?_isa} = %{version}-%{release}
Requires:	%{name}-libs%{?_isa} = %{version}-%{release}

%description devel
Development files for libmateweather

%prep
%setup -q
NOCONFIGURE=1 ./autogen.sh

%build
%configure --enable-python --disable-static
make %{?_smp_mflags} V=1


%install
make install DESTDIR=%{buildroot}
%find_lang %{name}
find %{buildroot} -name '*.la' -exec rm -rf {} ';'
find %{buildroot} -name '*.a' -exec rm -rf {} ';'

%post -p /sbin/ldconfig
/bin/touch --no-create %{_datadir}/icons/mate &>/dev/null || :


%postun -p /sbin/ldconfig
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/mate &>/dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/mate &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/mate &>/dev/null || :

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files -f %{name}.lang
%doc AUTHORS COPYING README
%config(noreplace) %{_sysconfdir}/mateconf/schemas/mateweather.schemas
%{_datadir}/libmateweather/
%{_datadir}/icons/mate/16x16/status/*.png
%{_datadir}/icons/mate/22x22/status/*.png
%{_datadir}/icons/mate/24x24/status/*.png
%{_datadir}/icons/mate/32x32/status/*.png
%{_datadir}/icons/mate/scalable/status/*.svg
%{_datadir}/gtk-doc/html/libmateweather/

%files libs
%{_libdir}/libmateweather.so.1
%{_libdir}/libmateweather.so.1.6.9
%{_libdir}/libmateweather.so


%files devel
%{_includedir}/libmateweather/
%{python_sitearch}/mateweather/
%{_libdir}/pkgconfig/mateweather.pc

%changelog
* Sat Aug 18 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-2
- Fix directory ownership

* Sun Aug 12 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-1
- Initial build
